Cacti (home)ForumsDocumentation
Cacti: offical forums and support
It is currently Sat Jul 20, 2019 2:27 am

All times are UTC - 5 hours




Post new topic Reply to topic  [ 3 posts ] 
Author Message
 Post subject: problem with plugin architecture
PostPosted: Thu Feb 09, 2006 8:09 am 
Offline

Joined: Thu Feb 09, 2006 7:35 am
Posts: 1
I work currently on Cacti 0.8.6g and I wish to install plugins.
I downloaded architecture plugin and when I use the order :
patch -p1 -N --dry-run < cacti-plugin-arch.diff
to install architecture plugin, that posts me the following error :

patching file data_sources.php
patching file graphs_new.php
patching file include/config_arrays.php
patching file include/config_form.php
patching file include/config.php
Hunk #1 FAILED at 26.
Hunk #2 succeeded at 178 (offset 3 lines).
1 out of 2 hunks FAILED -- saving rejects to file include/config.php.rej
patching file include/config_settings.php
The next patch would create the file include/plugins.php,
which already exists! Skipping patch.
1 out of 1 hunk ignored -- saving rejects to file include/plugins.php.rej
patching file include/top_graph_header.php
patching file include/top_header.php
patching file lib/api_device.php
patching file lib/functions.php
patching file lib/html_form.php
patching file lib/html.php
The next patch would create the file plugins/index.php,
which already exists! Skipping patch.
1 out of 1 hunk ignored -- saving rejects to file plugins/index.php.rej
patching file poller.php
Hunk #1 succeeded at 35 with fuzz 1.
Hunk #2 succeeded at 231 (offset -3 lines).


You can help me, thanks


Top
 Profile  
 
 Post subject:
PostPosted: Sat Feb 18, 2006 2:00 am 
Offline
Cacti User
User avatar

Joined: Thu Sep 22, 2005 7:50 pm
Posts: 242
Location: Landenberg, PA
I just upgraded to the newest plug-in architecture after I upgraded from Cacti g to h.

I would use the correct "pre-patched" files rather than patch your existing stuff. You can just copy the correct version of a pre-patched file replacing your old files. (back up your old files first)

Head over to:
http://cactiusers.org
and get the latest plug-in architecture and plug-ins.

_________________
Thank you,

Ernie
http://www.NMSWorld.com
Dual Zeon Dual Core 2.6Ghz / 8GB RAM / 4x15k RPM SATA RAID5
Cacti Version - 0.8.7b
Poller Type - cactid 0.8.7 with Boost v1.7
Server Info - FreeBSD 7.0-RELEASE
Web Server - Apache/2.2.6 (Unix) mod_ssl/2.2.6 OpenSSL/0.9.8g DAV/2 PHP/5.2.5 mod_perl/2.0.3 Perl/v5.8.8
PHP - 5.2.6
MySQL - 5.0.51b Mod: poller_output ENGINE = MEMORY
RRDTool - 1.3.0
SNMP - 5.4.1
Plugins - Host Info (hostinfo - v0.2), Update Checker (update - v0.3), Network Tools (tools - v0.2), FlowView (flowview - v0.3), Read-only Devices Tab (devices - v0.4), Network Discovery (discovery - v0.8.3), Syslog Monitoring (syslog - v0.5.2), Thresholds (thold - v0.3.9), Device Monitoring (monitor - v0.8.2), PHP Network Weathermap (weathermap - v0.941), SuperLinks (superlinks - v0.72), Report Creator (reports - v0.1b)


Top
 Profile  
 
 Post subject: Re: problem with plugin architecture
PostPosted: Sat Feb 18, 2006 6:13 pm 
Offline
Developer

Joined: Thu Apr 07, 2005 3:29 pm
Posts: 2768
Location: B/CS Texas
Kev179 wrote:
I work currently on Cacti 0.8.6g and I wish to install plugins.
I downloaded architecture plugin and when I use the order :
patch -p1 -N --dry-run < cacti-plugin-arch.diff
to install architecture plugin, that posts me the following error :

patching file data_sources.php
patching file graphs_new.php
patching file include/config_arrays.php
patching file include/config_form.php
patching file include/config.php
Hunk #1 FAILED at 26.
Hunk #2 succeeded at 178 (offset 3 lines).
1 out of 2 hunks FAILED -- saving rejects to file include/config.php.rej
patching file include/config_settings.php


You seem to have already modified your config.php (ex: you added the database / username / password). The patch will only work on config.php if you haven't modified it at all. Replace it with the prepatched one, and then reconfigure your config file.

Kev179 wrote:
The next patch would create the file include/plugins.php,
which already exists! Skipping patch.
1 out of 1 hunk ignored -- saving rejects to file include/plugins.php.rej

Seems that this isn't your first attempt to install the Plugin Architecture, otherwise this file wouldn't exist.
Kev179 wrote:
patching file include/top_graph_header.php
patching file include/top_header.php
patching file lib/api_device.php
patching file lib/functions.php
patching file lib/html_form.php
patching file lib/html.php
The next patch would create the file plugins/index.php,
which already exists! Skipping patch.
1 out of 1 hunk ignored -- saving rejects to file plugins/index.php.rej

Same as above.

Kev179 wrote:
patching file poller.php
Hunk #1 succeeded at 35 with fuzz 1.
Hunk #2 succeeded at 231 (offset -3 lines).


You can help me, thanks


I would recommend using a prepatched files (and also upgrading to Cacti v0.8.6h!)

_________________
Report a bug
Download Releases
1.X Compatible Plugins


Top
 Profile  
 
Display posts from previous:  Sort by  
Post new topic Reply to topic  [ 3 posts ] 

All times are UTC - 5 hours


Who is online

Users browsing this forum: No registered users and 4 guests


You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot post attachments in this forum

Search for:
Jump to:  

Protected by Anti-Spam ACP Powered by phpBB © 2000, 2002, 2005, 2007 phpBB Group